%define oname	hybrid-portsrc
%define kname	wl

Summary:	Proprietary driver for Broadcom wireless adapters
Name:		broadcom-wl-legacy
Version:	5_100_82_112
Release:	%mkrel 3
Source0:	http://www.broadcom.com/docs/linux_sta/%{oname}_x86_32-v%{version}.tar.gz
Source1:	http://www.broadcom.com/docs/linux_sta/%{oname}_x86_64-v%{version}.tar.gz
Patch3: 	broadcom-sta-5.100.82.38-kernel-3.2.patch
Patch4: 	broadcom-wl-3.4.patch
Patch5: 	user-ioctl.patch
Patch6: 	broadcom-wl-fix-for-3.10.patch
Patch7:	broadcom-wl-6.30.223.141-kernel-3.15.patch
Patch8:	wl_linux.c.patch
Patch9:	broadcom-wl-gcc-4.9.patch
License:	Freeware and GPLv2 with exception
Group:		System/Kernel and hardware
URL:		http://www.broadcom.com/support/802.11/linux_sta.php
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
Requires:	broadcom-wl-blacklist
Conflicts:	dkms-broadcom-wl

%description
This package contains the proprietary driver for Broadcom wireless
adapters provided by Broadcom. If installed, it will be used for
these cards in preference to the third-party open source driver that
requires manual installation of firmware, or ndiswrapper.

%package -n dkms-%{name}
Summary:	Kernel module for Broadcom wireless adapters
Group:		System/Kernel and hardware
Requires(post):		dkms
Requires(preun):	dkms
Conflicts:	dkms-broadcom-wl

%description -n dkms-%{name}
This package contains the proprietary driver for Broadcom wireless
adapters provided by Broadcom. If installed, it will be used for
these cards in preference to the third-party open source driver that
requires manual installation of firmware, or ndiswrapper.

%prep
%ifarch x86_64
%setup -q -T -c -a1 %{oname}
%else
%setup -q -T -c -a0 %{oname}
%endif
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1
%patch8 -p1
%patch9 -p1

%build

%install
rm -rf %{buildroot}

# install dkms sources
mkdir -p %{buildroot}%{_usr}/src/%{name}-%{version}-%{release}
cp -R * %{buildroot}%{_usr}/src/%{name}-%{version}-%{release}/
cat > %{buildroot}%{_usr}/src/%{name}-%{version}-%{release}/dkms.conf << EOF
MAKE="make -C \$kernel_source_dir M=\\\$(pwd)"
PACKAGE_NAME=%{name}
PACKAGE_VERSION=%{version}-%{release}
DEST_MODULE_LOCATION=/kernel/3rdparty/%{name}
BUILT_MODULE_NAME=%{kname}
AUTOINSTALL=yes
EOF

%post -n dkms-%{name}
set -x
/usr/sbin/dkms --rpm_safe_upgrade add -m %{name} -v %{version}-%{release}
/usr/sbin/dkms --rpm_safe_upgrade build -m %{name} -v %{version}-%{release}
/usr/sbin/dkms --rpm_safe_upgrade install -m %{name} -v %{version}-%{release}

%preun -n dkms-%{name}
# rmmod can fail
/sbin/rmmod %{kname} >/dev/null 2>&1
set -x
/usr/sbin/dkms --rpm_safe_upgrade remove -m %{name} -v %{version}-%{release} --all || :

%clean
rm -rf %{buildroot}

%files -n dkms-%{name}
%defattr(-,root,root)
%doc lib/LICENSE.txt
%dir %{_usr}/src/%{name}-%{version}-%{release}
%{_usr}/src/%{name}-%{version}-%{release}/*


%changelog
* Sat Mar 14 2015 bb <bb>  5_100_82_112-3pclos2015
- fix build gcc 4.9

* Wed Nov 19 2014 bb <bb> 5_100_82_112-2pclos2014
- fix build for new kernels

* Mon Apr 14 2014 bb <bb> 5_100_82_112-1pclos2014
- re-create package as legacy
